var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import styled from "styled-components";
import { white, redpink50, ic_common_phone_20_white, ic_common_phone_20_red, } from "../../common";
export var Button = function (props) {
    return _jsx(StyledButton, __assign({}, props), void 0);
};
var StyledButton = styled.button(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (_a) {
    var size = _a.size, variant = _a.variant, tel = _a.tel, dot = _a.dot;
    var color = white;
    var background = redpink50;
    var telImg = ic_common_phone_20_white;
    var fontSize = "15px";
    var height = "44px";
    switch (variant) {
        case "white": {
            color = redpink50;
            background = white;
            telImg = ic_common_phone_20_red;
            break;
        }
    }
    switch (size) {
        case "large": {
            fontSize = "16px";
            height = "50px";
            break;
        }
    }
    return "\n        position: relative;\n        display: inline-flex;\n        align-items: center;\n        justify-content: center;\n        line-height: 0;\n        cursor: pointer;\n\n        height: " + height + ";\n        max-height: " + height + ";\n        padding: 0 24px;\n        border-radius: 6px;\n        font-size: " + fontSize + ";\n        font-weight: bold;\n\n        border: 1px solid " + redpink50 + ";\n\n        color: " + color + ";\n        background: " + background + ";\n\n        " + (tel
        ? "\n            padding-left: 20px;\n            \n            &:before {\n                content: \"\";\n                display: inline-block;\n                margin-right: 4px;\n                width: 20px;\n                height: 20px;\n                background: " + telImg + ";\n            }\n        "
        : "") + "\n        " + (dot
        ? "\n            &:after {\n                position: absolute;\n                right: 17px;\n                top: 10px;\n                content: \"\";\n                display: inline-block;\n                width: 4px;\n                height: 4px;\n                border-radius: 100%;\n                background: " + color + ";\n            }\n        "
        : "") + "\n      ";
});
export var MobileButton = styled(StyledButton)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  width: 100%;\n"], ["\n  width: 100%;\n"])));
var templateObject_1, templateObject_2;
