var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from "styled-components";
import { darkgray50, gray70 } from "../../common";
export var MiniCard = function (_a) {
    var title = _a.title, subTitle = _a.subTitle, image = _a.image, space = _a.space;
    return (_jsxs(Container, { children: [_jsx(Img, { src: image, space: space }, void 0),
            _jsx(Title, { children: title }, void 0),
            _jsx(SubTitle, { children: subTitle }, void 0)] }, void 0));
};
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  white-space: break-spaces;\n  word-break: keep-all;\n\n  display: flex;\n  flex-direction: column;\n\n  text-align: center;\n\n  max-width: 336px;\n"], ["\n  white-space: break-spaces;\n  word-break: keep-all;\n\n  display: flex;\n  flex-direction: column;\n\n  text-align: center;\n\n  max-width: 336px;\n"])));
var Img = styled.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: ", "px;\n"], ["\n  margin-bottom: ", "px;\n"])), function (_a) {
    var space = _a.space;
    return space;
});
var Title = styled.span(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  font-size: 20px;\n  font-weight: bold;\n  line-height: normal;\n  color: ", ";\n  margin-bottom: 20px;\n"], ["\n  font-size: 20px;\n  font-weight: bold;\n  line-height: normal;\n  color: ", ";\n  margin-bottom: 20px;\n"])), darkgray50);
var SubTitle = styled.span(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  font-size: 16px;\n  line-height: 1.63;\n  letter-spacing: -0.5px;\n  color: ", ";\n"], ["\n  font-size: 16px;\n  line-height: 1.63;\n  letter-spacing: -0.5px;\n  color: ", ";\n"])), gray70);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
