var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from "styled-components";
import { img_element_10, img_element_10_1, img_element_11, img_element_11_1, img_element_4_2, img_element_5_1, img_element_6_1, img_element_7, img_element_8, img_element_9, tablet, } from "../../common";
export var PhotoCard = function (props) {
    var src = props.src, exclusive = props.exclusive, width = props.width, deco = props.deco;
    var renderDeco = function () {
        switch (deco) {
            case "type1": {
                return [
                    _jsx(Deco, { side: "left", space: true, width: 100, src: img_element_7 }, 0),
                    _jsx(Deco, { side: "right", space: true, width: 110, src: exclusive ? img_element_4_2 : img_element_8 }, 1),
                ];
            }
            case "type2": {
                return [
                    _jsx(Deco, { side: "left", width: 117, src: exclusive ? img_element_5_1 : img_element_9 }, 0),
                    _jsx(Deco, { side: "right", width: 100, src: exclusive ? img_element_6_1 : img_element_10 }, 1),
                ];
            }
            case "type3": {
                return [
                    _jsx(Deco, { side: "left", width: 100, src: exclusive ? img_element_10_1 : img_element_10 }, 0),
                    _jsx(Deco, { side: "right", space: true, width: 110, src: exclusive ? img_element_11_1 : img_element_11 }, 1),
                ];
            }
            default: return;
        }
    };
    return (_jsxs(Container, { children: [_jsx(Photo, { src: src, width: width !== null && width !== void 0 ? width : 500 }, void 0),
            renderDeco()] }, void 0));
};
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  display: inline-block;\n  @media (max-width: ", ") {\n    width: 100%;\n  }\n"], ["\n  position: relative;\n  display: inline-block;\n  @media (max-width: ", ") {\n    width: 100%;\n  }\n"])), tablet);
var Photo = styled.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  @media (max-width: ", ") {\n    width: inherit;\n  }\n"], ["\n  @media (max-width: ", ") {\n    width: inherit;\n  }\n"])), tablet);
var Deco = styled.img(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  ", "\n"], ["\n  position: absolute;\n  ",
    "\n"])), function (_a) {
    var side = _a.side, space = _a.space;
    return "\n    " + (side === "left" ? "top" : "bottom") + ": " + (space ? "35px" : "-35px") + ";\n    " + (side === "left" ? "left" : "right") + ": -50px;\n  ";
});
var templateObject_1, templateObject_2, templateObject_3;
