var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef } from "react";
import styled from "styled-components";
import { darkgray50, mobile, redpink50, tablet } from "../../common";
import { useCounterAnimation } from "../../hooks";
export var Counter = function (_a) {
    var num = _a.num, title = _a.title, fixed = _a.fixed;
    var counterRef = useRef(null);
    var count = useCounterAnimation(num, counterRef.current);
    return (_jsxs(Container, __assign({ ref: counterRef }, { children: [_jsx(Title, { children: title }, void 0),
            _jsxs(Number, { children: [count,
                    fixed] }, void 0)] }), void 0));
};
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n  text-align: center;\n\n  white-space: nowrap;\n\n  width: 182px;\n\n  margin: 0 50px;\n\n  @media (max-width: ", ") {\n    margin: 0 18px;\n  }\n\n  @media (max-width: ", ") {\n    margin: 25px auto;\n\n    &: first-child {\n      margin-top: 0;\n    }\n\n    &: last-child {\n      margin-bottom: 0;\n    }\n  }\n"], ["\n  display: flex;\n  flex-direction: column;\n  text-align: center;\n\n  white-space: nowrap;\n\n  width: 182px;\n\n  margin: 0 50px;\n\n  @media (max-width: ", ") {\n    margin: 0 18px;\n  }\n\n  @media (max-width: ", ") {\n    margin: 25px auto;\n\n    &: first-child {\n      margin-top: 0;\n    }\n\n    &: last-child {\n      margin-bottom: 0;\n    }\n  }\n"])), tablet, mobile);
var Title = styled.span(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  font-size: 16px;\n  letter-spacing: -0.5px;\n  color: ", ";\n  margin-bottom: 16px;\n\n  @media (max-width: ", ") {\n    margin-bottom: 12px;\n  }\n"], ["\n  font-size: 16px;\n  letter-spacing: -0.5px;\n  color: ", ";\n  margin-bottom: 16px;\n\n  @media (max-width: ", ") {\n    margin-bottom: 12px;\n  }\n"])), darkgray50, mobile);
var Number = styled.span(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  font-size: 44px;\n  line-height: 1;\n  letter-spacing: -0.5px;\n  color: ", ";\n\n  @media (max-width: ", ") {\n    font-size: 38px;\n  }\n\n  @media (max-width: ", ") {\n    font-size: 32px;\n  }\n"], ["\n  font-size: 44px;\n  line-height: 1;\n  letter-spacing: -0.5px;\n  color: ", ";\n\n  @media (max-width: ", ") {\n    font-size: 38px;\n  }\n\n  @media (max-width: ", ") {\n    font-size: 32px;\n  }\n"])), redpink50, tablet, mobile);
var templateObject_1, templateObject_2, templateObject_3;
