var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from "styled-components";
import { darkgray50, gray70, redpink50 } from "../../common";
export var IconList = function (_a) {
    var data = _a.data;
    return (_jsx(Container, { children: data.map(function (item, index) {
            return (_jsxs(List, { children: [_jsx(Icon, { src: item.icon, title: item.title.join("") }, void 0),
                    _jsxs(TextField, { children: [_jsx("div", { children: item.title.map(function (text, index) {
                                    return (_jsx(Title, __assign({ point: index === 1 }, { children: text }), index));
                                }) }, void 0),
                            _jsx(Description, { children: item.description }, void 0)] }, void 0)] }, index));
        }) }, void 0));
};
var Container = styled.ul(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  list-style-type: none;\n  padding: 0;\n"], ["\n  list-style-type: none;\n  padding: 0;\n"])));
var List = styled.li(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  margin-bottom: 26px;\n\n  &: last-child {\n    margin-bottom: 0;\n  }\n"], ["\n  display: flex;\n  margin-bottom: 26px;\n\n  &: last-child {\n    margin-bottom: 0;\n  }\n"])));
var Icon = styled.img(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  width: 40px;\n  height: 40px;\n\n  margin-top: 10px;\n  margin-right: 12px;\n"], ["\n  width: 40px;\n  height: 40px;\n\n  margin-top: 10px;\n  margin-right: 12px;\n"])));
var TextField = styled.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n\n  word-break: keep-all;\n"], ["\n  display: flex;\n  flex-direction: column;\n\n  word-break: keep-all;\n"])));
var Title = styled.span(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  font-size: 20px;\n  font-weight: bold;\n\n  line-height: 1.7;\n  letter-spacing: -0.5px;\n  color: ", ";\n\n  margin-bottom: 2px;\n"], ["\n  font-size: 20px;\n  font-weight: bold;\n\n  line-height: 1.7;\n  letter-spacing: -0.5px;\n  color: ", ";\n\n  margin-bottom: 2px;\n"])), function (_a) {
    var point = _a.point;
    return (point ? redpink50 : darkgray50);
});
var Description = styled.span(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  font-size: 16px;\n  line-height: 1.63;\n  letter-spacing: -0.5px;\n  color: ", ";\n"], ["\n  font-size: 16px;\n  line-height: 1.63;\n  letter-spacing: -0.5px;\n  color: ", ";\n"])), gray70);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
