var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from "styled-components";
import { ic_close_28_black } from "../../common";
import { OverflowHidden } from "../GlobalStyle";
export var Modal = function (_a) {
    var show = _a.show, onClose = _a.onClose, closeButton = _a.closeButton, children = _a.children;
    return show ? (_jsxs(Container, __assign({ onClick: onClose }, { children: [_jsx(OverflowHidden, {}, void 0),
            _jsxs(Wrap, __assign({ onClick: function (e) { return e.stopPropagation(); } }, { children: [closeButton && _jsx(CloseButton, { onClick: onClose }, void 0),
                    children] }), void 0)] }), void 0)) : null;
};
var Container = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  transition: 0.2s;\n\n  position: fixed;\n  width: 100%;\n  height: 100%;\n  top: 0;\n  background: rgba(0, 0, 0, 0.8);\n\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"], ["\n  transition: 0.2s;\n\n  position: fixed;\n  width: 100%;\n  height: 100%;\n  top: 0;\n  background: rgba(0, 0, 0, 0.8);\n\n  display: flex;\n  justify-content: center;\n  align-items: center;\n"])));
var Wrap = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  position: relative;\n  background: white;\n  width: auto;\n  height: auto;\n  padding: 26px;\n  border-radius: 10px;\n"], ["\n  position: relative;\n  background: white;\n  width: auto;\n  height: auto;\n  padding: 26px;\n  border-radius: 10px;\n"])));
var CloseButton = styled.button(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  width: 28px;\n  height: 28px;\n  border: none;\n  background: no-repeat center/cover ", ";\n"], ["\n  width: 28px;\n  height: 28px;\n  border: none;\n  background: no-repeat center/cover ", ";\n"])), ic_close_28_black);
var templateObject_1, templateObject_2, templateObject_3;
