var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import styled from "styled-components";
import { mobile, tablet, white } from "../../common";
export var Navigation = function (_a) {
    var variant = _a.variant, children = _a.children;
    var theme = {
        white: {
            background: white,
        },
        transparent: {
            background: "linear-gradient(rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0))",
        },
    };
    return (_jsx(Container, __assign({ theme: theme[variant] }, { children: _jsx(Wrap, { children: children }, void 0) }), void 0));
};
var Container = styled.nav(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: fixed;\n  top: 0;\n  left: 0;\n  background: ", ";\n\n  display: flex;\n\n  width: 100%;\n  height: 70px;\n\n  transition: 0.2s;\n\n  @media (max-width: ", ") {\n    height: 60px;\n  }\n\n  @media (max-width: ", ") {\n    height: 50px;\n  }\n"], ["\n  position: fixed;\n  top: 0;\n  left: 0;\n  background: ", ";\n\n  display: flex;\n\n  width: 100%;\n  height: 70px;\n\n  transition: 0.2s;\n\n  @media (max-width: ", ") {\n    height: 60px;\n  }\n\n  @media (max-width: ", ") {\n    height: 50px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.background;
}, tablet, mobile);
var Wrap = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin: 0 20px;\n  width: 100%;\n  height: 100%;\n\n  display: flex;\n  align-items: center;\n\n"], ["\n  margin: 0 20px;\n  width: 100%;\n  height: 100%;\n\n  display: flex;\n  align-items: center;\n\n"])));
var templateObject_1, templateObject_2;
