var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from "styled-components";
import { mobile, redpink50, brown50, tablet, underline_red, underline_yellow, } from "../../common";
export var Title = function (props) {
    var text = props.text, caption = props.caption, exclusive = props.exclusive, space = props.space;
    return (_jsxs(Container, __assign({ space: space !== null && space !== void 0 ? space : 0 }, { children: [caption && _jsx(Caption, __assign({ exclusive: exclusive }, { children: caption }), void 0),
            _jsx("div", { children: text.map(function (t, index) {
                    return (_jsx(Text, __assign({ highlight: index === 1, exclusive: exclusive }, { children: t }), index));
                }) }, void 0)] }), void 0));
};
var Caption = styled.span(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: inline-block;\n  font-size: 16px;\n  font-weight: bold;\n  letter-spacing: -0.5px;\n  color: ", ";\n  margin-bottom: 16px;\n"], ["\n  display: inline-block;\n  font-size: 16px;\n  font-weight: bold;\n  letter-spacing: -0.5px;\n  color: ", ";\n  margin-bottom: 16px;\n"])), function (_a) {
    var exclusive = _a.exclusive;
    return (exclusive ? brown50 : redpink50);
});
var Container = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: ", "px;\n"], ["\n  margin-bottom: ", "px;\n"])), function (_a) {
    var space = _a.space;
    return space;
});
var Text = styled.span(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  word-break: keep-all;\n  font-size: 44px;\n  font-weight: bold;\n  line-height: 1.36;\n  letter-spacing: -1px;\n\n  @media (max-width: ", ") {\n    font-size: 38px;\n    line-height: 1.37;\n    letter-spacing: -0.5px;\n  }\n\n  @media (max-width: ", ") {\n    font-size: 32px;\n    line-height: 1.38;\n  }\n\n  ", "\n"], ["\n  word-break: keep-all;\n  font-size: 44px;\n  font-weight: bold;\n  line-height: 1.36;\n  letter-spacing: -1px;\n\n  @media (max-width: ", ") {\n    font-size: 38px;\n    line-height: 1.37;\n    letter-spacing: -0.5px;\n  }\n\n  @media (max-width: ", ") {\n    font-size: 32px;\n    line-height: 1.38;\n  }\n\n  ",
    "\n"])), tablet, mobile, function (_a) {
    var highlight = _a.highlight, exclusive = _a.exclusive;
    return highlight
        ? "\n        background: " + (exclusive ? underline_yellow : underline_red) + ";\n        background-position: 0 1.04em;\n        background-repeat: repeat-x;\n        background-size: 1px 14px;\n        @media (max-width: " + tablet + ") {\n            background-size: 1px 10px;\n        }\n        "
        : "";
});
var templateObject_1, templateObject_2, templateObject_3;
